#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int check(int a,int b,int c)
{
	int ok=1;
	if((a+b-c<=0)||(b+c-a<=0)||(c+a-b<=0)) ok=0;
	return ok;
}
float s(int a,int b,int c)
{
	int p=int ((a+b+c)/2);
	float l=sqrt(p*(p-a)*(p-b)*(p-c));
	return l;
}
int main()
{
	ifstream f1("TAMGIAC.INP");
	ofstream f2("TAMGIAC.OUT");
	int a,b,c;
	float y;
	f1>>a>>b>>c;
	f1.close();
	if(check(a,b,c)==1) f2<<"YES"<<endl;
	else f2<<"NO";
	if(check(a,b,c)==1) y=s(a,b,c);
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<y;
	f2.close();
	return 0;
}
